# twitter-text

This repository is a collection of libraries and conformance tests to standardize parsing of Tweet text. It synchronizes development, testing, creating issues, and pull requests for twitter-text's implementations and specification. These libraries are responsible for determining the quantity of characters in a Tweet and identifying and linking any URL, @username, #hashtag, or $cashtag.

See implementations and conformance in this repository below:

* [Conformance](conformance)
* [Java](java)
* [Ruby](rb)
* [JavaScript](js)
* [Objective-C](objc)

## Other language implementations

The following implementations exist in other programming languages, but are not supported by or used by Twitter. 
We'd like to thank the authors for building and maintaining these alternatives.

* [Swift](https://swiftpack.co/package/nysander/twitter-text)
* [Rust](https://github.com/sayrer/twitter-text). Also available as a [crate](https://crates.io/crates/twitter-text).

If you would like to contribute a link to other implementations, please consider sending a Pull Request, or letting us know via the [Twitter Developer Community forums](https://twittercommunity.com/c/libraries-and-sdks/63).

## Copyright and License

Copyright 2012-2020 Twitter, Inc and other contributors

Licensed under the Apache License, Version 2.0: http://www.apache.org/licenses/LICENSE-2.0
